package parser;

/**
 * Grammar non-terminal -- I ::= id
 */
public class I implements F {
    /**
     * Id object
     */
    private IdToken _id;

    /**
     * Constructor for the I grammar non-terminal.
     *
     * @param id id token
     */
    public I(IdToken id) {
        _id = id;
    }

    /**
     * Return a string representation.
     *
     * @return string representation
     */
    public String toString() {
        return _id.toString();
    }
}

